global_defs {
  notification_email {
    acassen@firewall.loc
    failover@firewall.loc
    sysadmin@firewall.loc
  }
  notification_email_from Alexandre.Cassen@firewall.loc
  smtp_ server  192.168.100.110
  smtp_connect_timeout  30
  router_id  server_1     #主机名
}

vrrp_script chk_nginx {
  #检测Nginx节点是否存活的脚本
  script  "/usr/local/src/nginx_check.sh"
  interval  2   #脚本执行的间隔，为2s
  weight   2    #权重，如果这个脚本的检测结果为true，服务器权重+2
}

vrrp_instance VI_1 {
  state MASTER           #节点的角色
  interface eth1         #网卡名称
  virtual_router_id 51  #各个节点的virtual_router_id必须相同
  priority 102            #各个节点的优先级
  advert_int 1            #每隔1s发送一次心跳
  authentication {       #校验方式，类型为密码，密码为1234
    auth type PASS
    auth pass 1234
  }

  track_script {          #指定追踪的脚本
    chk_nginx
  }

  virtual_ipaddress {    #虚拟IP(VIP)
    192.168.100.120   
  }
}
